Subject: [bug#40203] [PATCH] gnu: Add ROPgadget.

From: Jakub Kądziołka <[email-masked]>
Date: Tue, 24 Mar 2020 17:34:48 +0100

On Tue, Mar 24, 2020 at 11:18:05AM -0400, Jack Hill wrote:
> On Tue, 24 Mar 2020, Jakub Kądziołka wrote:
> 
> [snip]
> 
> > +    (description
> > +     "This tool lets you search for gadgets in binaries to help with ROP
> > +chain construction.")
> 
> Perhaps we should expand what ROP means here. I as able to figure it out
> with some searching, but it would probably help non-domain experts know what
> this package is for.

Thanks, I totally forgot about non-domain experts when writing that
description. What do you think about this revised version?

    (synopsis "Semiautomatic return oriented programming")
    (description
     "This tool lets you search for @acronym{ROP, Return Oriented Programming}
gadgets in binaries. Some facilities are included for automatically generating
chains of gadgets to execute system calls.")

Also, is the file in which I've put this package right? I choose that
place because that's where radare2 is, and it has a relatively
similar purpose. However, radare2 is a loose fit already, so ROPgadget
would be two steps removed from the original purpose of the file...

Regards,
Jakub Kądziołka